/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreElementHierarchyVars;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreElementHierarchyVarsRecord extends TableRecordImpl<VCoreElementHierarchyVarsRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for
     * <code>common_dd.v_core_element_hierarchy_vars.key_parent_element</code>.
     */
    public void setKeyParentElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_core_element_hierarchy_vars.key_parent_element</code>.
     */
    public Integer getKeyParentElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_element_hierarchy_vars.amount</code>.
     */
    public void setAmount(Long value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_element_hierarchy_vars.amount</code>.
     */
    public Long getAmount() {
        return (Long) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreElementHierarchyVarsRecord
     */
    public VCoreElementHierarchyVarsRecord() {
        super(VCoreElementHierarchyVars.V_CORE_ELEMENT_HIERARCHY_VARS);
    }

    /**
     * Create a detached, initialised VCoreElementHierarchyVarsRecord
     */
    public VCoreElementHierarchyVarsRecord(Integer keyParentElement, Long amount) {
        super(VCoreElementHierarchyVars.V_CORE_ELEMENT_HIERARCHY_VARS);

        setKeyParentElement(keyParentElement);
        setAmount(amount);
        resetChangedOnNotNull();
    }
}
